//`include "i2s2pcm.sv"

module i2s2pcm_fpga(
		output pin16,
		output pin17,
		output pin18_cs,
		output pin19_sclk,
		//output pin21,
		//output pin22,
		
		input pin5,
		input pin6,
		input pin7_done,
		input pin9_jtgnb,
		input pin10_sda
		//input rst
);
	//		TinyFPGA Pinout
	//
	//		 Left_______Right
	// bclk		| 6  16 | bclkout
	// lrclk	| 7  17 | le
	// data		| 8  18 | doutright
	// rst		| 9  19 | doutleft
	// ~rst		| 10 20 | 

	logic rst;
	assign rst = pin9_jtgnb|~pin10_sda;
	
	//DEM Reclock
	//logic bclkoutdivide;
	//std_dff demdivide(.clk(pin16), .rst(rst), .d(~bclkoutdivide), .q(bclkoutdivide));
	//assign pin21 = bclkoutdivide;
	//assign pin22 = ~bclkoutdivide;
	
	//I2S Passthrough
	//logic clkin;
	//logic data;
	//logic ws;
	//assign clkin = pin6;
	//assign data = pin5;
	//assign ws = pin7_done;
	//assign pin16 = clkin;
	//assign pin19_sclk = ws;
	//assign pin17 = data;
	//assign pin18 = clkin;
	
	//PCM Mode Conversion
	i2s2pcm top(.bclk(pin6), .lrclk(pin7_done), .data(pin5), .rst(rst),
		.doutleft(pin17), .doutright(pin18_cs), .le(pin19_sclk), .bclkout(pin16));

endmodule